Bug 476243 - Create new package gmime22
Create new package gmime22
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gmime (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 490397
  Show dependency treegraph
 
Reported: 2008-12-12 12:23 EST by Nicholas Wourms
Modified: 2009-03-20 02:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-20 02:58:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gmime22.tar.bz2 (2.39 MB, application/x-bzip2)
2008-12-12 12:23 EST, Nicholas Wourms
no flags Details

  None (edit)
Description Nicholas Wourms 2008-12-12 12:23:42 EST
Created attachment 326745 [details]
gmime22.tar.bz2

There are huge API differences between gmime-2.2.x and gmime-2.4.x such that both source and binary compatibility have been broken. The upstream developers have anticipated this and have renamed both the pkg-config file and the library so as to allow side-by-side installation with previous versions. Furthermore, the API differences have led to the failure of building the balsa and pan packages. The changes needed to both balsa and pan for gmime-2.4.x compatibility are non-trivial. Thus, in the same vein as libsoup, I propose that a new package called gmime22 be created for both Fedora and end-user developer convenience.

Attached is a proposed directory structure. I copied CVS gmime/common and gmime/F-10 to gmime22/common and gmime22/devel. I disabled the mono build since it may or may not be needed for compatibility and due to a "Strong name verification" install error. It builds and installs properly on my rawhide x86_64 system.
Comment 1 Erik van Pienbroek 2009-01-09 17:49:58 EST
The proper way to do this is by a package review request. The most important thing here is that someone is needed who is willing to maintain this package. If you want to be package maintainer of it, please follow the instructions at https://fedoraproject.org/wiki/PackageMaintainers/Join

If you aren't interested in maintaining this package I think it is a good idea to drop a message at the fedora-devel mailing list to see if you can find someone interested in it. Or maybe even better: find someone who can fix the packages which are broken by the gmime update.
Comment 2 Matthias Clasen 2009-01-16 23:47:07 EST
Looks like altlinux has patches for balsa: 

http://git.altlinux.org/people/ildar/packages/?p=balsa.git;a=shortlog;h=refs/heads/patches/gmime-2.4
Comment 3 Matthias Clasen 2009-01-16 23:49:04 EST
And pan patches are being worked on here:

http://bugzilla.gnome.org/show_bug.cgi?id=541676
Comment 4 Alex Lancaster 2009-03-16 02:36:42 EDT
(In reply to comment #1)
> The proper way to do this is by a package review request. The most important
> thing here is that someone is needed who is willing to maintain this package.
> If you want to be package maintainer of it, please follow the instructions at
> https://fedoraproject.org/wiki/PackageMaintainers/Join

Package review opened here: bug #490397 

> If you aren't interested in maintaining this package I think it is a good idea
> to drop a message at the fedora-devel mailing list to see if you can find
> someone interested in it. Or maybe even better: find someone who can fix the
> packages which are broken by the gmime update.  

Currently both pan and dbmail don't yet rebuild against gmime 2.4 and are unlikely to have patches ready in time for F-11 (although upstream are working on it).  I propose introducing the compat- package to allow these packages to avoid being dropped.  If porting is not finished by F-12, I propose dropping non-gmime-2.4 compliant packages then.
Comment 5 Alex Lancaster 2009-03-20 02:58:54 EDT
New gmime22 package now built:

http://koji.fedoraproject.org/koji/buildinfo?buildID=94832

Closing bug.

Note You need to log in before you can comment on or make changes to this bug.